<?php
function connect_base() {
$host     = getenv('DB_HOST') ?: 'db';
$user     = getenv('DB_USERNAME') ?: 'pv_deciday18';
$pass     = getenv('DB_PASSWORD') ?: 'NfcZhw7TyHC3ed5d';
$bdd      = getenv('DB_DATABASE') ?: 'deciday_18';
    try {
        // On fait un try catch pour être sûr que la connexion à mysql se fasse
       // $db = new PDO( 'mysql:host=' . $host . ';dbname=' . $bdd . ';charset=utf8', $user, $pass );
        $db = new PDO( 'mysql:host=' . $host . ';dbname=' . $bdd , $user, $pass, array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES \'UTF8\'') );
    }
    // On instancie un objet PDO. Le host est l'adresse locale sur laquelle on se connecte. dbname correspond au nom de la base de données.
    catch ( Exception $e ) {
        //die va arreter le chargement du script PHP et de la page et afficher l'erreur
        die( 'Erreur : ' . $e->getMessage() );
    }
    return($db);
}

/*************************************************************************
			Gestion des erreurs MYSQL
*************************************************************************/

function mysql_die( $error = "" ) {
    global $strError, $strMySQLSaid, $strBack;
    echo "<b> $strError </b><p>";
    if ( empty( $error ) )
        echo $strMySQLSaid . mysql_error();
    else
        echo $strMySQLSaid . $error;
    exit;
}


?>